package com.pointrlabs.sample

import android.app.Application
import com.pointrlabs.core.management.models.PTRParams
import com.pointrlabs.core.management.models.PointrEnvironment
import com.pointrlabs.core.management.Pointr
import com.pointrlabs.core.nativecore.wrappers.Plog

class DemoApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        val params = PTRParams(
            "72df7035-cdea-4c19-93b8-6deff5177894",
            "c93f0101-36ed-4129-8f95-558f4cd8e82f",
            "https://sample-app-v8-api.pointr.cloud"
        )
        params.logLevel = Plog.LogLevel.WARNING
        Pointr.with(this, params)
    }
}